import React from 'react';

import {DynamicGridLayout} from 'src/components';

import './Dashboard.scss';

export const Dashboard = (props) => {
  return (
    <div className="Dashboard">
      <DynamicGridLayout
        cols={12}
        draggableHandle=".draggable-handle"
        layout={props.layout}
        rowHeight={30}
        onLayoutChange={props.onGridLayoutChange}
      >
        {props.children}
      </DynamicGridLayout>
    </div>
  );
};
